Orders
Orders Refund Calculate Create
Authorization
oauth2 orders:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: orders:write
Path Parameters
number*Order number
Header Parameters
X-29next-API-Version*"unstable"
Default
"unstable"Value in
- "unstable"
Response Body
application/json
curl -X POST "https://example.com/orders/string/refund/calculate/" \ -H "X-29next-API-Version: unstable" \ -H "Content-Type: application/json" \ -d '{}'{ "amount_excl_tax": "string", "amount_incl_tax": "string", "currency": "string", "refund_lines": [ { "amount_excl_tax": "string", "amount_incl_tax": "string", "line_id": 0, "product_id": 0, "product_image": "http://example.com", "product_title": "string", "product_url": "http://example.com", "quantity": 0, "refundable_quantity": 0, "restock_type": "string", "sku": "string", "total_tax": "string", "variant_id": 0, "variant_title": "string" } ], "refund_shipping": { "amount_excl_tax": "string", "amount_incl_tax": "string", "currency": "string", "refundable_amount": "string", "shipping_code": "string", "shipping_method": "string", "total_tax": "string" }, "total_tax": "string", "transactions": [ { "amount": "string", "gateway_id": 0, "gateway_name": "string", "id": 0, "payment_method": "string", "refundable_amount": "string", "type": "string" } ]}